Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex Cloud Video
RU
    • Обзор
    • Управление
    • Политика автозапуска браузеров
  • Управление доступом
  • Правила тарификации
    • Аутентификация в API
    • Начало работы с API
      • Overview
        • Overview
        • Get
        • List
        • BatchGet
        • Create
        • Update
        • Transcode
        • Delete
        • BatchDelete
        • PerformAction
        • GetPlayerURL
        • BatchGetPlayerURLs
        • GetManifests
        • GenerateDownloadURL
        • GetScreenshots
        • BatchGetScreenshots
  • Аудитные логи Audit Trails
  • История изменений
  • Решение проблем

В этой статье:

  • HTTP request
  • Path parameters
  • Body parameters
  • VideoTranslationSettings
  • TranslationTrack
  • InputTrack
  • SubtitleTrack
  • AudioTrack
  • VideoSummarizationSettings
  • SummarizationTrack
  • InputTrack
  • VideoSpeechToTextSettings
  • SpeechToTextTrack
  • InputTrack
  • Response
  • Status
  1. Справочник API
  2. REST (англ.)
  3. Video
  4. Transcode

Video API, REST: Video.Transcode

Статья создана
Yandex Cloud
Обновлена 28 мая 2026 г.
  • HTTP request
  • Path parameters
  • Body parameters
  • VideoTranslationSettings
  • TranslationTrack
  • InputTrack
  • SubtitleTrack
  • AudioTrack
  • VideoSummarizationSettings
  • SummarizationTrack
  • InputTrack
  • VideoSpeechToTextSettings
  • SpeechToTextTrack
  • InputTrack
  • Response
  • Status

Initiates or updates video transcoding with specified parameters.
Can be used to start transcoding for videos with auto_transcode=DISABLE,
or to re-process a completed video with new transcoding settings.
Supports additional features like subtitle processing, translation, summarization, and speech-to-text.

HTTP requestHTTP request

POST https://video.api.yandexcloud.kz/video/v1/videos/{videoId}:transcode

Path parametersPath parameters

Field

Description

videoId

string

Required field. ID of the video to transcode.

The maximum string length in characters is 50.

Body parametersBody parameters

{
  "fieldMask": "string",
  "subtitleIds": [
    "string"
  ],
  "translationSettings": {
    "tracks": [
      {
        "inputTrack": {
          "trackIndex": "string",
          "srcLang": "string"
        },
        "subtitles": [
          {
            "dstLang": "string",
            "label": "string"
          }
        ],
        "audio": [
          {
            "dstLang": "string",
            "label": "string"
          }
        ]
      }
    ]
  },
  "summarizationSettings": {
    "tracks": [
      {
        "inputTrack": {
          "trackIndex": "string",
          "srcLang": "string"
        }
      }
    ],
    "processAllTracks": "boolean"
  },
  "speechToTextSettings": {
    "tracks": [
      {
        "inputTrack": {
          "trackIndex": "string",
          "srcLang": "string"
        }
      }
    ],
    "processAllTracks": "boolean"
  }
}

Field

Description

fieldMask

string (field-mask)

Required field. A comma-separated names off ALL fields to be updated.
Only the specified fields will be changed. The others will be left untouched.
If the field is specified in updateMask and no value for that field was sent in the request,
the field's value will be reset to the default. The default value for most fields is null or 0.

If updateMask is not sent in the request, all fields' values will be updated.
Fields specified in the request will be updated to provided values.
The rest of the fields will be reset to the default.

subtitleIds[]

string

IDs of manually uploaded subtitle files to include in the transcoding process.
These subtitles will be embedded in the video output.

translationSettings

VideoTranslationSettings

Settings for automatic translation of audio tracks.
Defines source tracks and target languages for subtitle and audio translation.

summarizationSettings

VideoSummarizationSettings

Settings for automatic video content summarization.
Defines which audio tracks should be processed to generate text summaries.

speechToTextSettings

VideoSpeechToTextSettings

Settings for automatic speech recognition (speech-to-text).
Defines which audio tracks should be transcribed to generate text transcripts.

VideoTranslationSettingsVideoTranslationSettings

Field

Description

tracks[]

TranslationTrack

Translation settings for each track.

TranslationTrackTranslationTrack

Field

Description

inputTrack

InputTrack

Required field. Input track settings.

subtitles[]

SubtitleTrack

Settings for target subtitle tracks.

audio[]

AudioTrack

Settings for target audio tracks.

InputTrackInputTrack

Field

Description

trackIndex

string (int64)

Input audio track index (one-based).

The minimum value is 1.

srcLang

string

Source track language represented as a three-letter code according to ISO 639-2/T.
Track language will be deduced automatically if not provided.
In the latter case the deduction accuracy is not guaranteed.
For better performance please do specify the source track language when possible.

Value must match the regular expression |ara|deu|eng|fra|ita|jpn|kor|rus|spa|tur|zho.

SubtitleTrackSubtitleTrack

Field

Description

dstLang

string

Required field. Target language represented as a three-letter code according to ISO 639-2/T.

Value must match the regular expression ara|deu|eng|fra|ita|jpn|kaz|kor|rus|spa|tur|ukr|zho.

label

string

Required field. Track label to be displayed on the screen during video playback.

The maximum string length in characters is 50.

AudioTrackAudioTrack

Field

Description

dstLang

string

Required field. Target language represented as a three-letter code according to ISO 639-2/T.

Value must match the regular expression eng|kaz|rus.

label

string

Required field. Track label to be displayed on the screen during video playback.

The maximum string length in characters is 50.

VideoSummarizationSettingsVideoSummarizationSettings

Field

Description

tracks[]

SummarizationTrack

Summarization settings for each track.

processAllTracks

boolean

Summarize all available tracks.
If enabled, tracks parameter is ignored.
Enables automatic source language deduction for each track
and thus may lead to performance degradation.

SummarizationTrackSummarizationTrack

Field

Description

inputTrack

InputTrack

Required field. Input track settings.

InputTrackInputTrack

Field

Description

trackIndex

string (int64)

Input audio track index (one-based).

The minimum value is 1.

srcLang

string

Source track language represented as a three-letter code according to ISO 639-2/T.
It will be deduced automatically if not provided.
In the latter case the deduction accuracy is not guaranteed.
For better performance please do specify the source track language when possible.

Value must match the regular expression |ara|deu|eng|fra|ita|jpn|kor|rus|spa|tur|zho.

VideoSpeechToTextSettingsVideoSpeechToTextSettings

Field

Description

tracks[]

SpeechToTextTrack

Speech-to-text settings for each track.

processAllTracks

boolean

Recognize speech from all available tracks.
If enabled, tracks parameter is ignored.
Enables automatic source language deduction for each track
and thus may lead to performance degradation.

SpeechToTextTrackSpeechToTextTrack

Field

Description

inputTrack

InputTrack

Required field. Input track settings.

InputTrackInputTrack

Field

Description

trackIndex

string (int64)

Input audio track index (one-based).

The minimum value is 1.

srcLang

string

Source track language represented as a three-letter code according to ISO 639-2/T.
It will be deduced automatically if not provided.
In the latter case the deduction accuracy is not guaranteed.
For better performance please do specify the source track language when possible.

Value must match the regular expression |ara|deu|eng|fra|ita|jpn|kor|rus|spa|tur|zho.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "description": "string",
  "createdAt": "string",
  "createdBy": "string",
  "modifiedAt": "string",
  "done": "boolean",
  "metadata": "object",
  // Includes only one of the fields `error`, `response`
  "error": {
    "code": "integer",
    "message": "string",
    "details": [
      "object"
    ]
  },
  "response": "object"
  // end of the list of possible fields
}

An Operation resource. For more information, see Operation.

Field

Description

id

string

ID of the operation.

description

string

Description of the operation. 0-256 characters long.

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

createdBy

string

ID of the user or service account who initiated the operation.

modifiedAt

string (date-time)

The time when the Operation resource was last modified.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

done

boolean

If the value is false, it means the operation is still in progress.
If true, the operation is completed, and either error or response is available.

metadata

object

Service-specific metadata associated with the operation.
It typically contains the ID of the target resource that the operation is performed on.
Any method that returns a long-running operation should document the metadata type, if any.

error

Status

The error result of the operation in case of failure or cancellation.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

response

object

The normal response of the operation in case of success.
If the original method returns no data on success, such as Delete,
the response is google.protobuf.Empty.
If the original method is the standard Create/Update,
the response should be the target resource of the operation.
Any method that returns a long-running operation should document the response type, if any.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

StatusStatus

The error result of the operation in case of failure or cancellation.

Field

Description

code

integer (int32)

Error code. An enum value of google.rpc.Code.

message

string

An error message.

details[]

object

A list of messages that carry the error details.

Была ли статья полезна?

Предыдущая
Update
Следующая
Delete
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»